com.trendmicro.ds.platform.rest.api

## Interface IScheduledTaskAPI

-     @Path(value="/tasks/scheduled")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IScheduledTaskAPI

  Interface to the Scheduled Task API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModifyAdministratorsListResponse` | `addAdministrators(java.lang.String sessionID, java.lang.Integer scheduledTaskID, ModifyAdministratorsListRequest modifyAdministratorsListRequest)` Modify a scheduled task's recipients list to add administrators.
    `ModifyContactsListResponse` | `addContacts(java.lang.String sessionID, java.lang.Integer scheduledTaskID, ModifyContactsListRequest modifyContactsListRequest)` Modify a scheduled task's recipients list with additional contacts.
    `CreateScheduledTaskResponse` | `createScheduledTask(java.lang.String sessionID, java.lang.Boolean runNow, CreateScheduledTaskRequest createScheduledTaskRequest)` Create a new scheduled task.
    `ModifyAdministratorsListResponse` | `deleteAdministrator(java.lang.String sessionID, java.lang.Integer scheduledTaskID, java.lang.Integer administratorID)` Remove an administrator from a scheduled task's recipients list.
    `ModifyContactsListResponse` | `deleteContact(java.lang.String sessionID, java.lang.Integer scheduledTaskID, java.lang.Integer contactID)` Remove a contact from a scheduled task's recipients list
    `void` | `deleteScheduledTask(java.lang.String sessionID, java.lang.Integer scheduledTaskID)` Delete a scheduled task.
    `DescribeScheduledTaskResponse` | `describeScheduledTask(java.lang.String sessionID, java.lang.Integer scheduledTaskID)` Describe a scheduled task.
    `ListScheduledTasksResponse` | `listScheduledTasks(java.lang.String sessionID, java.lang.Integer id, java.lang.String op, java.lang.Integer maxItems)` List scheduled tasks.
    `ModifyAdministratorsListResponse` | `modifyAdministratorsList(java.lang.String sessionID, java.lang.Integer scheduledTaskID, ModifyAdministratorsListRequest modifyAdministratorsListRequest)` Modify a scheduled task's recipients list with a new (complete) list of administrators.
    `ModifyContactsListResponse` | `modifyContactsList(java.lang.String sessionID, java.lang.Integer scheduledTaskID, ModifyContactsListRequest modifyContactsListRequest)` Modify a scheduled task's recipients list with a new (complete) list of contacts.
    `ModifyScheduledTaskResponse` | `modifyScheduledTask(java.lang.String sessionID, java.lang.Integer scheduledTaskID, java.lang.Boolean runNow, ModifyScheduledTaskRequest modifyScheduledTaskRequest)` Modify a scheduled task.

- - ### Method Detail

    - #### listScheduledTasks

          @GET
          ListScheduledTasksResponse listScheduledTasks(@CookieParam(value="sID")
                                                             java.lang.String sessionID,
                                                             @QueryParam(value="id")
                                                             java.lang.Integer id,
                                                             @QueryParam(value="op")
                                                             java.lang.String op,
                                                             @QueryParam(value="maxItems")
                                                             java.lang.Integer maxItems)
                                                      throws java.lang.Exception

      List scheduled tasks.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `id` - (optional) used to define the starting point for the query. Combine with `op` to page through results.
        `op` - (optional, required if `id` is specified) Currently supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a `ListScheduledTaskResponse` with the task details.
      Throws:
        `java.lang.Exception`

    - #### createScheduledTask

          @POST
          CreateScheduledTaskResponse createScheduledTask(@CookieParam(value="sID")
                                                                java.lang.String sessionID,
                                                                @QueryParam(value="runNow")
                                                                java.lang.Boolean runNow,
                                                                CreateScheduledTaskRequest createScheduledTaskRequest)
                                                         throws java.lang.Exception

      Create a new scheduled task.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `(optional)` - runNow run the scheduled task after saving
        `createScheduledTaskRequest` - a `CreateScheduledTaskRequest` with the scheduled task details.
      Returns:
        a `CreateScheduledTaskResponse` with the scheduled task details.
      Throws:
        `java.lang.Exception`

    - #### describeScheduledTask

          @GET
           @Path(value="{scheduledTaskID}")
          DescribeScheduledTaskResponse describeScheduledTask(@CookieParam(value="sID")
                                                                                                     java.lang.String sessionID,
                                                                                                     @PathParam(value="scheduledTaskID")
                                                                                                     java.lang.Integer scheduledTaskID)
                                                                                              throws java.lang.Exception

      Describe a scheduled task.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
      Returns:
        a `DescribeScheduledTaskResponse` with the scheduled task details.
      Throws:
        `java.lang.Exception`

    - #### modifyScheduledTask

          @POST
           @Path(value="{scheduledTaskID}")
          ModifyScheduledTaskResponse modifyScheduledTask(@CookieParam(value="sID")
                                                                                                  java.lang.String sessionID,
                                                                                                  @PathParam(value="scheduledTaskID")
                                                                                                  java.lang.Integer scheduledTaskID,
                                                                                                  @QueryParam(value="runNow")
                                                                                                  java.lang.Boolean runNow,
                                                                                                  ModifyScheduledTaskRequest modifyScheduledTaskRequest)
                                                                                           throws java.lang.Exception

      Modify a scheduled task.

      Any unset elements in the request object will be left unchanged by the modify request.

      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
        `(optional)` - runNow run the scheduled task after saving
        `modifyScheduledTaskRequest` - a `ModifyScheduledTaskRequest` with the details of the scheduled task.
      Returns:
        a `ModifyScheduledTaskResponse` with the updated scheduled task details.
      Throws:
        `java.lang.Exception`

    - #### deleteScheduledTask

          @DELETE
           @Path(value="{scheduledTaskID}")
          void deleteScheduledTask(@CookieParam(value="sID")
                                                                             java.lang.String sessionID,
                                                                             @PathParam(value="scheduledTaskID")
                                                                             java.lang.Integer scheduledTaskID)
                                                                      throws java.lang.Exception

      Delete a scheduled task.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
      Throws:
        `java.lang.Exception`

    - #### modifyAdministratorsList

          @PUT
           @Path(value="{scheduledTaskID}/recipients/administrators")
          ModifyAdministratorsListResponse modifyAdministratorsList(@CookieParam(value="sID")
                                                                                                                                     java.lang.String sessionID,
                                                                                                                                     @PathParam(value="scheduledTaskID")
                                                                                                                                     java.lang.Integer scheduledTaskID,
                                                                                                                                     ModifyAdministratorsListRequest modifyAdministratorsListRequest)
                                                                                                                              throws java.lang.Exception

      Modify a scheduled task's recipients list with a new (complete) list of administrators.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
        `modifyAdministratorsListRequest` - a `ModifyAdministratorsListRequest` with the details of the administrators list.
      Returns:
        a `ModifyAdministratorsListResponse` with the updated administrators list details.
      Throws:
        `java.lang.Exception`

    - #### addAdministrators

          @POST
           @Path(value="{scheduledTaskID}/recipients/administrators")
          ModifyAdministratorsListResponse addAdministrators(@CookieParam(value="sID")
                                                                                                                               java.lang.String sessionID,
                                                                                                                               @PathParam(value="scheduledTaskID")
                                                                                                                               java.lang.Integer scheduledTaskID,
                                                                                                                               ModifyAdministratorsListRequest modifyAdministratorsListRequest)
                                                                                                                        throws java.lang.Exception

      Modify a scheduled task's recipients list to add administrators.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
        `modifyAdministratorsListRequest` - a `ModifyAdministratorsListRequest` with the details of the administrators list.
      Returns:
        a `ModifyAdministratorsListResponse` with the updated administrators list details.
      Throws:
        `java.lang.Exception`

    - #### deleteAdministrator

          @DELETE
           @Path(value="{scheduledTaskID}/recipients/administrators/{administratorID}")
          ModifyAdministratorsListResponse deleteAdministrator(@CookieParam(value="sID")
                                                                                                                                                     java.lang.String sessionID,
                                                                                                                                                     @PathParam(value="scheduledTaskID")
                                                                                                                                                     java.lang.Integer scheduledTaskID,
                                                                                                                                                     @PathParam(value="administratorID")
                                                                                                                                                     java.lang.Integer administratorID)
                                                                                                                                              throws java.lang.Exception

      Remove an administrator from a scheduled task's recipients list.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
        `administratorID` - the administrator identifier.
      Throws:
        `java.lang.Exception`

    - #### modifyContactsList

          @PUT
           @Path(value="{scheduledTaskID}/recipients/contacts")
          ModifyContactsListResponse modifyContactsList(@CookieParam(value="sID")
                                                                                                                   java.lang.String sessionID,
                                                                                                                   @PathParam(value="scheduledTaskID")
                                                                                                                   java.lang.Integer scheduledTaskID,
                                                                                                                   ModifyContactsListRequest modifyContactsListRequest)
                                                                                                            throws java.lang.Exception

      Modify a scheduled task's recipients list with a new (complete) list of contacts.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
        `modifyContactsListRequest` - a `ModifyContactsListRequest` with the details of the contacts list.
      Returns:
        a `ModifyContactsListResponse` with the updated contacts list details.
      Throws:
        `java.lang.Exception`

    - #### addContacts

          @POST
           @Path(value="{scheduledTaskID}/recipients/contacts")
          ModifyContactsListResponse addContacts(@CookieParam(value="sID")
                                                                                                             java.lang.String sessionID,
                                                                                                             @PathParam(value="scheduledTaskID")
                                                                                                             java.lang.Integer scheduledTaskID,
                                                                                                             ModifyContactsListRequest modifyContactsListRequest)
                                                                                                      throws java.lang.Exception

      Modify a scheduled task's recipients list with additional contacts.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier.
        `modifyContactsListRequest` - a `ModifyContactsListRequest` with the details of the contacts list.
      Returns:
        a `ModifyContactsListResponse` with the updated contacts list details.
      Throws:
        `java.lang.Exception`

    - #### deleteContact

          @DELETE
           @Path(value="{scheduledTaskID}/recipients/contacts/{contactID}")
          ModifyContactsListResponse deleteContact(@CookieParam(value="sID")
                                                                                                                             java.lang.String sessionID,
                                                                                                                             @PathParam(value="scheduledTaskID")
                                                                                                                             java.lang.Integer scheduledTaskID,
                                                                                                                             @PathParam(value="contactID")
                                                                                                                             java.lang.Integer contactID)
                                                                                                                      throws java.lang.Exception

      Remove a contact from a scheduled task's recipients list
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `scheduledTaskID` - the scheduled task identifier
        `contactID` - the contact identifier
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.